org.richfaces.fragment.dataTable

## Interface DataTable<HEADER,ROW,FOOTER>

- Type Parameters:
    `HEADER` -
    `ROW` -
    `FOOTER` -
  All Known Subinterfaces:
    CollapsibleSubTable<HEADER,ROW,FOOTER>
  All Known Implementing Classes:
    AbstractTable, RichFacesCollapsibleSubTable, RichFacesDataTable, RichFacesExtendedDataTable

      public interface DataTable<HEADER,ROW,FOOTER>

  Interface representing a data table.

  Each table consists of its header, row and footer. Those should be page fragments, which will be then returned as a properly initialized objects.

  It is solely on the end user how the implementations of the HEADER, ROW or FOOTER would look like.

  For example HEADER page fragment can provide encapsulated filtering or sorting table services.

  Note 1: Table does not take into account pagination. Thus one has to switch to a different page manually in order to access all rows. All indexes used by methods are relative to one page.

  Note 2: that one can use `org.richfaces.fragment.common.NullFragment` as a Null Object pattern for any of the generic types.

  Author:
    Juraj Huska

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ROW>` | `getAllRows()` Returns a list of `ROW` page fragments.
    `ROW` | `getFirstRow()` Returns the first `ROW` page fragment.
    `FOOTER` | `getFooter()` Returns a `FOOTER` page fragment of this table.
    `HEADER` | `getHeader()` Returns a `HEADER` page fragment of this table.
    `ROW` | `getLastRow()` Returns the last `ROW` page fragment.
    `ROW` | `getRow(int n)` Returns a `ROW` page fragment with index `n`.

- - ### Method Detail

    - #### getRow

          ROW getRow(int n)

      Returns a `ROW` page fragment with index `n`. All indexes are relative to one page. It does not take into account table pagination.
      Parameters:
        `n` - zero based index of the row to be returned
      Returns:

    - #### getFirstRow

          ROW getFirstRow()

      Returns the first `ROW` page fragment. All indexes are relative to one page. It does not take into account table pagination.
      Returns:

    - #### getLastRow

          ROW getLastRow()

      Returns the last `ROW` page fragment. All indexes are relative to one page. It does not take into account table pagination.
      Returns:

    - #### getAllRows

          List<ROW> getAllRows()

      Returns a list of `ROW` page fragments. All indexes are relative to one page. It does not take into account table pagination.
      Returns:

    - #### getHeader

          HEADER getHeader()

      Returns a `HEADER` page fragment of this table.
      Returns:

    - #### getFooter

          FOOTER getFooter()

      Returns a `FOOTER` page fragment of this table.
      Returns:

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.